package com.gic.haoban.manage.web.vo;

import java.io.Serializable;
import java.util.Date;

public class StaffVO implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String staffName;
	
	private String phoneNumber;

	private String nationCode;

	private String position;

	private String departmentName;

	private String headImg;
	
	/**
     * 员工id
     */
    private String staffId;
    /**
     * 企业微信id
     */
    private String wxEnterpriseId;
    /**
     * 微信用户id
     */
    private String wxUserId;
    /**
     * 昵称
     */
    private String nickName;
    /**
     * 性别
     */
    private Integer sex;
    /**
     * 职位
     */
    private String postion;
    /**
     * 激活状态
     */
    private Integer activeFlag;
    /**
     * 对外职务
     */
    private String extendPostion;

    private Date updateTime;
    
    private int bindFlag;
    
    private String clerkCode;

    private String staffDepartmentRelatedId;

    private int clerkType;

    private Integer syncPostionFlag;

    private Integer superManagerFlag;

    private Boolean weixinPush;

    private Integer memberCount;

    private String clerkId;
    /**
     * 关联状态 1 已关联 0 未关联
     * 关联状态为 员工是否关联某门店导购
     */
    private Integer relationFlag;

    private String wxOpenUseId;

    private String wxOpenId;
    private String qrCode;
    private String clerkName;
    
	public String getStaffId() {
        return staffId;
    }

    public String getWxEnterpriseId() {
        return wxEnterpriseId;
    }

    public String getWxUserId() {
        return wxUserId;
    }

    public String getNickName() {
        return nickName;
    }

    public Integer getSex() {
        return sex;
    }

    public String getPostion() {
        return postion;
    }

    public Integer getActiveFlag() {
        return activeFlag;
    }

    public String getExtendPostion() {
        return extendPostion;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public int getBindFlag() {
        return bindFlag;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public String getStaffDepartmentRelatedId() {
        return staffDepartmentRelatedId;
    }

    public int getClerkType() {
        return clerkType;
    }

    public Integer getSyncPostionFlag() {
        return syncPostionFlag;
    }

    public Integer getSuperManagerFlag() {
        return superManagerFlag;
    }

    public Boolean getWeixinPush() {
        return weixinPush;
    }

    public Integer getMemberCount() {
        return memberCount;
    }

    public String getClerkId() {
        return clerkId;
    }

    public Integer getRelationFlag() {
        return relationFlag;
    }

    public String getWxOpenUseId() {
        return wxOpenUseId;
    }

    public String getWxOpenId() {
        return wxOpenId;
    }

    public String getQrCode() {
        return qrCode;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public void setWxEnterpriseId(String wxEnterpriseId) {
        this.wxEnterpriseId = wxEnterpriseId;
    }

    public void setWxUserId(String wxUserId) {
        this.wxUserId = wxUserId;
    }

    public void setNickName(String nickName) {
        this.nickName = nickName;
    }

    public void setSex(Integer sex) {
        this.sex = sex;
    }

    public void setPostion(String postion) {
        this.postion = postion;
    }

    public void setActiveFlag(Integer activeFlag) {
        this.activeFlag = activeFlag;
    }

    public void setExtendPostion(String extendPostion) {
        this.extendPostion = extendPostion;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public void setBindFlag(int bindFlag) {
        this.bindFlag = bindFlag;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public void setStaffDepartmentRelatedId(String staffDepartmentRelatedId) {
        this.staffDepartmentRelatedId = staffDepartmentRelatedId;
    }

    public void setClerkType(int clerkType) {
        this.clerkType = clerkType;
    }

    public void setSyncPostionFlag(Integer syncPostionFlag) {
        this.syncPostionFlag = syncPostionFlag;
    }

    public void setSuperManagerFlag(Integer superManagerFlag) {
        this.superManagerFlag = superManagerFlag;
    }

    public void setWeixinPush(Boolean weixinPush) {
        this.weixinPush = weixinPush;
    }

    public void setMemberCount(Integer memberCount) {
        this.memberCount = memberCount;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public void setRelationFlag(Integer relationFlag) {
        this.relationFlag = relationFlag;
    }

    public void setWxOpenUseId(String wxOpenUseId) {
        this.wxOpenUseId = wxOpenUseId;
    }

    public void setWxOpenId(String wxOpenId) {
        this.wxOpenId = wxOpenId;
    }

    public void setQrCode(String qrCode) {
        this.qrCode = qrCode;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getHeadImg() {
		return headImg;
	}

	public void setHeadImg(String headImg) {
		this.headImg = headImg;
	}

	public String getStaffName() {
		return staffName;
	}

	public void setStaffName(String staffName) {
		this.staffName = staffName;
	}

	public String getPhoneNumber() {
		return phoneNumber;
	}

	public void setPhoneNumber(String phoneNumber) {
		this.phoneNumber = phoneNumber;
	}

	public String getNationCode() {
		return nationCode;
	}

	public void setNationCode(String nationCode) {
		this.nationCode = nationCode;
	}


	public String getPosition() {
		return position;
	}

	public void setPosition(String position) {
		this.position = position;
	}

	public String getDepartmentName() {
		return departmentName;
	}

	public void setDepartmentName(String departmentName) {
		this.departmentName = departmentName;
	}


}
